# Demo lircd.conf for simplely integrated tv/vcr+MythTV system
# This file : CommandIR, samsung_tv, philips_vcr, fortec_stb, hauppauge

#  CommandIR event definitions
begin remote

  name  CommandIR
  bits           8
  flags CONST_LENGTH
  eps            30
  aeps          100

  one           100    200
  zero          1000   200
  gap          25000
  toggle_bit      0


      begin codes
          emitter-plugged-in-on-1		0x01
          emitter-plugged-in-on-2		0x02
          emitter-plugged-in-on-3		0x03
          emitter-plugged-in-on-4		0x04
          emitter-plugged-in-on-5		0x11
          emitter-plugged-in-on-6		0x12
          emitter-plugged-in-on-7		0x13
          emitter-plugged-in-on-8		0x14
          emitter-plugged-in-on-9		0x21
          emitter-plugged-in-on-10		0x22
          emitter-plugged-in-on-11		0x23
          emitter-plugged-in-on-12		0x24
          emitter-plugged-in-on-13		0x31
          emitter-plugged-in-on-14		0x32
          emitter-plugged-in-on-15		0x33
          emitter-plugged-in-on-16		0x34
          
          emitter-unplugged-from-1		0x05
          emitter-unplugged-from-2		0x06
          emitter-unplugged-from-3		0x07
          emitter-unplugged-from-4		0x08
          emitter-unplugged-from-5		0x15
          emitter-unplugged-from-6		0x16
          emitter-unplugged-from-7		0x17
          emitter-unplugged-from-8		0x18
          emitter-unplugged-from-9		0x25
          emitter-unplugged-from-10		0x26
          emitter-unplugged-from-11		0x27
          emitter-unplugged-from-12		0x28
          emitter-unplugged-from-13		0x35
          emitter-unplugged-from-14		0x36
          emitter-unplugged-from-15		0x37
          emitter-unplugged-from-16		0x38
          
          select-rx-internal	0x09
          select-rx-external	0x0A
          
          receiving-on-device-number-1		0x0D
          receiving-on-device-number-2		0x1D
          receiving-on-device-number-3		0x2D
          receiving-on-device-number-4		0x3D
          
          external-receiver-plugged-in-device-1		0x0B
          external-receiver-unplugged-from-device-1	0x0C
          external-receiver-plugged-in-device-2		0x1B
          external-receiver-unplugged-from-device-2	0x1C
          external-receiver-plugged-in-device-3		0x2B
          external-receiver-unplugged-from-device-3	0x2C
          external-receiver-plugged-in-device-4		0x3B
          external-receiver-unplugged-from-device-4	0x3C
          
          new-hardware-plugged-in-device-1		0x41
          new-hardware-plugged-in-device-2		0x42
          new-hardware-plugged-in-device-3		0x43
          new-hardware-plugged-in-device-4		0x44
          
          hardware-unplugged-device-1	0x45
          hardware-unplugged-device-2	0x46
          hardware-unplugged-device-3	0x47
          hardware-unplugged-device-4	0x48
          
          driver-set-order-multiple-devices		0x50
          driver-ready							0x51
          driver-stopped						0x52
          
          setlight-tx1-off			0x61
          setlight-tx2-off			0x71
          setlight-tx3-off			0x81
          setlight-tx4-off			0x91
          setlight-user1-green-off	0xa1
          setlight-user1-red-off	0xb1
          setlight-user2-green-off	0xc1
          setlight-user2-red-off	0xd1
          setlight-power-off		0xe1
          
          setlight-tx1-on			0x62
          setlight-tx2-on			0x72
          setlight-tx3-on			0x82
          setlight-tx4-on			0x92
          setlight-user1-green-on	0xa2
          setlight-user1-red-on		0xb2
          setlight-user2-green-on	0xc2
          setlight-user2-red-on		0xd2
          setlight-power-on			0xe2
          
          setlight-tx1-blink			0x63
          setlight-tx2-blink			0x73
          setlight-tx3-blink			0x83
          setlight-tx4-blink			0x93
          setlight-user1-green-blink	0xa3
          setlight-user1-red-blink		0xb3
          setlight-user2-green-blink	0xc3
          setlight-user2-red-blink		0xd3
          setlight-power-blink			0xe3
          
          setlight-tx1-blink2			0x64
          setlight-tx2-blink2			0x74
          setlight-tx3-blink2			0x84
          setlight-tx4-blink2			0x94
          setlight-user1-green-blink2	0xa4
          setlight-user1-red-blink2		0xb4
          setlight-user2-green-blink2	0xc4
          setlight-user2-red-blink2		0xd4
          setlight-power-blink2			0xe4
          
          setlight-tx1-flash			0x65
          setlight-tx2-flash			0x75
          setlight-tx3-flash			0x85
          setlight-tx4-flash			0x95
          setlight-user1-green-flash	0xa5
          setlight-user1-red-flash		0xb5
          setlight-user2-green-flash	0xc5
          setlight-user2-red-flash		0xd5
          setlight-power-flash			0xe5
          
          settransmitters-1				0xf0
          settransmitters-2				0xf1
          settransmitters-3				0xf2
          settransmitters-4				0xf3
          settransmitters-5				0xf4
          settransmitters-6				0xf5
          settransmitters-7				0xf6
          settransmitters-8				0xf7
          settransmitters-9				0xf8
          settransmitters-10			0xf9
          settransmitters-11			0xfa
          settransmitters-12			0xfb
          settransmitters-13			0xfc
          settransmitters-14			0xfd
          settransmitters-15			0xfe
          settransmitters-16			0xff
          

      end codes

end remote


begin remote

  name  samsung_tv
  bits           16
  flags SPACE_ENC|CONST_LENGTH
  eps            30
  aeps          100

  header       4479  4459
  one           552  1657
  zero          552   545
  ptrail        538
  pre_data_bits   16
  pre_data       0xE0E0
  gap          107913
  toggle_bit      0


      begin codes
          power                    0x00000000000040BF
          1                        0x00000000000020DF
          2                        0x000000000000A05F
          3                        0x000000000000609F
          4                        0x00000000000010EF
          5                        0x000000000000906F
          6                        0x00000000000050AF
          7                        0x00000000000030CF
          8                        0x000000000000B04F
          9                        0x000000000000708F
          0                        0x0000000000008877
          ch+                      0x00000000000048B7
          ch-                      0x00000000000008F7
          vol+                     0x000000000000E01F
          vol-                     0x000000000000D02F
          menu                     0x00000000000058A7
          mute                     0x000000000000F00F
          tvvideo                  0x000000000000807F
          pc                       0x000000000000C837
          display                  0x000000000000F807
      end codes

end remote


begin remote

  name  philips_vcr
  bits           13
  flags RC5|CONST_LENGTH
  eps            30
  aeps          100

  one           972   797
  zero          972   797
  plead        1045
  gap          112812
#  min_repeat      1  # don't need to repeat it with CommandIR
  toggle_bit      2


      begin codes
          power                    0x000000000000114C
          1                        0x0000000000001141
          2                        0x0000000000001142
          3                        0x0000000000001143
          4                        0x0000000000001144
          5                        0x0000000000001145
          6                        0x0000000000001146
          7                        0x0000000000001147
          8                        0x0000000000001148
          9                        0x0000000000001149
          vcrtv                    0x000000000000117E
          eject                    0x000000000000116D
          menu                     0x000000000000115D
          status                   0x000000000000114F
          clear                    0x0000000000001171
          pause                    0x0000000000001169
          speed                    0x000000000000117A
          rec                      0x0000000000001177
          memory                   0x000000000000117B
          mute                     0x000000000000100D
          vol-                     0x0000000000001011
          vol+                     0x0000000000001010
          ch-                      0x0000000000001161
          ch+                      0x0000000000001160
          play                     0x0000000000001175
          rew                      0x0000000000001172
          stop                     0x0000000000001176
          ff                       0x0000000000001174
      end codes

end remote


#
# this config file was automatically generated
# using lirc-0.7.0(serial) on Thu Dec 16 02:28:28 2004
#
# contributed by Frank Banks
#
# brand: Fortec
# model no. of remote control: 
# devices being controlled by this remote: Fortec Lifetime (Pre March) Sat Reciver
#

begin remote

  name  fortec_stb
  bits           16
  flags SPACE_ENC|CONST_LENGTH
  eps            30
  aeps          100

  header       9103  4429
  one           621  1634
  zero          621   500
  ptrail        617
  repeat       9104  2183
  pre_data_bits   16
  pre_data       0x4FB
  gap          108100
#  min_repeat      1
  toggle_bit      0


      begin codes
          1                        0x00000000000000FF
          2                        0x000000000000807F
          3                        0x00000000000040BF
          4                        0x000000000000C03F
          5                        0x00000000000020DF
          6                        0x000000000000A05F
          7                        0x000000000000609F
          8                        0x000000000000E01F
          9                        0x00000000000010EF
          0                        0x000000000000906F
          Power                    0x000000000000F00F
          Mute                     0x000000000000708F
          Fav                      0x000000000000B847
          PageUP                   0x0000000000006897
          PageDOWN                 0x00000000000058A7
          Exit                     0x0000000000008877
          Last                     0x00000000000048B7
          Menu                     0x000000000000C837
          ChanUp                   0x00000000000050AF
          ChanDown                 0x000000000000D02F
          OK                       0x0000000000009867
          Sat                      0x00000000000008F7
          Info                     0x00000000000028D7
          TV/Radio                 0x000000000000D827
          Pause                    0x000000000000A857
          Audio                    0x000000000000F807
          Guide                    0x000000000000E817
          Signal                   0x0000000000007887
          F1                       0x000000000000EA15
          F2                       0x0000000000001AE5
          F3                       0x0000000000009A65
      end codes

end remote


begin remote

  name  hauppauge
  bits           13
  flags RC5|CONST_LENGTH
  eps            30
  aeps          100

  one           942   827
  zero          942   827
  plead         971
  gap          114000
  toggle_bit      2


      begin codes
          Ch+                      0x00000000000017E0
          Ch-                      0x00000000000017E1
          Vol+                     0x00000000000017D0
          Vol-                     0x00000000000017D1
          ok                       0x00000000000017E5
          red                      0x00000000000017CB
          yellow                   0x00000000000017F8
          blue                     0x00000000000017E9
          green                    0x00000000000017EE
          mute                     0x00000000000017CF
          blank                    0x00000000000017CC
          full                     0x00000000000017FC
          rew                      0x00000000000017F2
          ffw                      0x00000000000017F4
          play                     0x00000000000017F5
          stop                     0x00000000000017F6
          record                   0x00000000000017F7
          pause                    0x00000000000017F0
          replay                   0x00000000000017E4
          skip                     0x00000000000017DE
          power                    0x00000000000017FD
          go                       0x00000000000017FB
          1                        0x00000000000017C1
          2                        0x00000000000017C2
          3                        0x00000000000017C3
          4                        0x00000000000017C4
          5                        0x00000000000017C5
          6                        0x00000000000017C6
          7                        0x00000000000017C7
          8                        0x00000000000017C8
          9                        0x00000000000017C9
          0                        0x00000000000017C0
          back/exit                 0x00000000000017DF
          menu                     0x00000000000017CD
      end codes

end remote

